@extends('layouts.master')

@section('page-title', 'Submitted Artwork')

@section('meta_description', 'Explore the artwork submitted at the No Agenda Art Generator.')

@section('page-top')
<section class="inner-page-banner bg-2 bg-image">
    <div class="container">
        <div class="inner text-center">
            <h1 class="title">Submitted Artwork</h1>
            <nav class="mt-4">
                <ol class="breadcrumb justify-content-center">
                    <li class="breadcrumb-item"><a href="/">Home</a></li>
                    <li class="breadcrumb-item active"><a href="/artworks">Explore Artwork</a></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
@endsection
@section('page-content')
<section class="pt-120 pb-90 masonary-wrapper-activation">
    <div class="container">
        <div class="row">
            {{ $artworks->links() }}
        </div>
    </div>
    <div class="container">
        <div class="d-flex-between flex-wrap">
            <div
                class="button-group default-tab-list isotop-filter flex-wrap filters-button-group d-flex justify-content-start justify-content-lg-start mb-6 ">
                <button data-filter="*" class="is-checked"><span class="filter-text">View All</span></button>
                @foreach ($podcasts as $podcast)
                    <button data-filter=".podcast--{{ $podcast->slug }}"><span class="filter-text">{{ $podcast->name }}</span></button>
                @endforeach
            </div>
        </div>
        <div class="grid-filter-wrapper masonry-list">
            <div class="resizer"></div>
            @foreach ($artworks as $artwork)
                @php
                    $thisArtwork = $artwork;
                    $thisPodcast = $artwork->podcast;
                    $thisEpisode = $artwork->episode;
                @endphp
                <div class="grid-item podcast--{{ $artwork->podcast->slug }}">
                    @include('artworks.card')
                </div>
            @endforeach
        </div>
    </div>
    <div class="container">
        <div class="row">
            {{ $artworks->links() }}
        </div>
    </div>
</section>
@endsection



