<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="csrf-token" content="{{ csrf_token() }}">
        @if(View::hasSection('page-title'))
            <title>.: @yield('page-title') - No Agenda Art Generator :.</title>
        @else
            <title>.: No Agenda Art Generator :.</title>
        @endif
        @include('partials.metabranding')
        @include('partials/favicon')
        @vite(['resources/scss/app.scss'])
        @livewireStyles
        <noscript><style> #preloader { display:none; } </style></noscript>
        @yield('additional_headers')
    </head>
    <body{!! Session::get('preferred_theme') === 'light' ? ' class="theme-light"' : '' !!} data-preferred_theme="{!! Session::get('preferred_theme') !!}">
        @include('partials/preloader')
        @include('partials/nav/head')

        @yield('page-top')
        @yield('page-content')

        @include('partials.footer.section')
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/jquery.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/jquery.nice-select.min.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/modernizer.min.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/slick.min.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/bootstrap.min.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/waypoint.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/js.cookie.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/count-down.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/counter-up.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/isotop.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/imageloaded.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/aos.js"></script>
        <script src="{{ config('app.static_asset_url') }}/v3/dist/vendor/js/jquery.custom-file-input.js"></script>
        @livewireScriptConfig
        @vite(['resources/js/app.js'])
        @yield('additional_footers')
    </body>
</html>
